Subject: bug#28445: Cannot boot GuixSD after system reconfigure

From: [email-masked] (Ludovic Courtès)
Date: Mon, 25 Sep 2017 09:33:17 +0200

Hi Roel,

Roel Janssen <[email-masked]> skribis:

> I could generate a new system, but upon booting it, I was dropped to a
> Guile REPL.

Could you check what the error was?  (You can type “,error” at the REPL
if the message disappeared.)

> So it doesn't seem to work.  How can I troubleshoot from there?
>
> I used the following configuration for the EFI partition:
>
>   (file-system
>     (title 'uuid)
>     (device (uuid "72E5-26A0" 'fat32))
>     (mount-point "/boot/efi")
>     (needed-for-boot? #t)
>     (type "vfat"))

I don’t see yet what could possibly go wrong.  Note that
‘needed-for-boot?’ can be #f (it’s definitely not needed for boot), but
both should work.

Thanks,
Ludo’.